# Create a Legal Entity

## Create a legal entity for your business

> Create a legal entity for your business

```json
{"openapi":"3.0.0","info":{"title":"TradeAware API","version":"0.45.0"},"servers":[{"url":"https://api.tradeaware.live-eo.com"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"CreateLegalEntityDto":{"type":"object","properties":{"name":{"type":"string","description":"Business's name"},"email":{"type":"object","description":"email of the contact person in the business","nullable":true},"addressCity":{"type":"string","description":"City of the business's address"},"addressCountryCode":{"type":"string","description":"Two-letter country code (ISO 3166 Alpha-2) of the business's address"},"addressLine1":{"type":"string","description":"First line of the business address"},"addressLine2":{"type":"object","description":"Second line of the business address","nullable":true},"addressPostcode":{"type":"string","description":"Country-specific postcode of the business's address"},"eori":{"type":"object","description":"EORI number of the business","nullable":true},"vat":{"type":"object","description":"VAT number of the business","nullable":true}},"required":["name","addressCity","addressCountryCode","addressLine1","addressLine2","addressPostcode"]},"GetLegalEntityDto":{"type":"object","properties":{"name":{"type":"string","description":"Business's name"},"email":{"type":"object","description":"email of the contact person in the business","nullable":true},"addressCity":{"type":"string","description":"City of the business's address"},"addressCountryCode":{"type":"string","description":"Two-letter country code (ISO 3166 Alpha-2) of the business's address"},"addressLine1":{"type":"string","description":"First line of the business address"},"addressLine2":{"type":"object","description":"Second line of the business address","nullable":true},"addressPostcode":{"type":"string","description":"Country-specific postcode of the business's address"},"eori":{"type":"object","description":"EORI number of the business","nullable":true},"vat":{"type":"object","description":"VAT number of the business","nullable":true},"id":{"type":"string","description":"id of this entity"},"createdAt":{"format":"date-time","type":"string","description":"ISO 8601"},"updatedAt":{"format":"date-time","type":"string","description":"ISO 8601"}},"required":["name","addressCity","addressCountryCode","addressLine1","addressLine2","addressPostcode","id","createdAt","updatedAt"]}}},"paths":{"/legal-entities":{"post":{"description":"Create a legal entity for your business","operationId":"LegalEntitiesController_create","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLegalEntityDto"}}}},"responses":{"200":{"description":"Returns the created legal entity.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetLegalEntityDto"}}}},"400":{"description":""},"401":{"description":""},"403":{"description":""}},"summary":"Create a legal entity for your business","tags":["LegalEntities"]}}}}
```

## The CreateLegalEntityDto object

```json
{"openapi":"3.0.0","info":{"title":"TradeAware API","version":"0.45.0"},"components":{"schemas":{"CreateLegalEntityDto":{"type":"object","properties":{"name":{"type":"string","description":"Business's name"},"email":{"type":"object","description":"email of the contact person in the business","nullable":true},"addressCity":{"type":"string","description":"City of the business's address"},"addressCountryCode":{"type":"string","description":"Two-letter country code (ISO 3166 Alpha-2) of the business's address"},"addressLine1":{"type":"string","description":"First line of the business address"},"addressLine2":{"type":"object","description":"Second line of the business address","nullable":true},"addressPostcode":{"type":"string","description":"Country-specific postcode of the business's address"},"eori":{"type":"object","description":"EORI number of the business","nullable":true},"vat":{"type":"object","description":"VAT number of the business","nullable":true}},"required":["name","addressCity","addressCountryCode","addressLine1","addressLine2","addressPostcode"]}}}}
```

## The GetLegalEntityDto object

```json
{"openapi":"3.0.0","info":{"title":"TradeAware API","version":"0.45.0"},"components":{"schemas":{"GetLegalEntityDto":{"type":"object","properties":{"name":{"type":"string","description":"Business's name"},"email":{"type":"object","description":"email of the contact person in the business","nullable":true},"addressCity":{"type":"string","description":"City of the business's address"},"addressCountryCode":{"type":"string","description":"Two-letter country code (ISO 3166 Alpha-2) of the business's address"},"addressLine1":{"type":"string","description":"First line of the business address"},"addressLine2":{"type":"object","description":"Second line of the business address","nullable":true},"addressPostcode":{"type":"string","description":"Country-specific postcode of the business's address"},"eori":{"type":"object","description":"EORI number of the business","nullable":true},"vat":{"type":"object","description":"VAT number of the business","nullable":true},"id":{"type":"string","description":"id of this entity"},"createdAt":{"format":"date-time","type":"string","description":"ISO 8601"},"updatedAt":{"format":"date-time","type":"string","description":"ISO 8601"}},"required":["name","addressCity","addressCountryCode","addressLine1","addressLine2","addressPostcode","id","createdAt","updatedAt"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.live-eo.com/tradeaware/using-the-tradeaware-api/api-reference/legal-entities/create-a-legal-entity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
